<?php
require_once './Control/ControlParceria.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (!isset($lang))
{
	$lang = 'pt';
} else 
{
	if ($lang == 'undefined')
	{
		$lang = 'pt';
	}
}
$controlParceria = new ControlParceria();
if ($acao == 'inserir')
{
        $parceria = $controlParceria->pegarUmParceria($pk);
        echo 'Novo registro para Parceria/Cliente: <b>' . $parceria->gNome() . '</b>';
	$parCat = new Parcatlink();
        $parCat->setParceriaid($pk);
        $pk = '';
} else
{
	$parCat = $controlParceria->pegarUmParCat($pk);
}
$arquivoGrid = 'adm_parCatLinkGrid.php';
?>
<form name="frmParCatLink" id="frmParCatLink" action="adm_parCatLinkCMD.php" method="post">
    <input id="hacao" name="acao" type="hidden" value="<?php echo $acao?>">
    <input id="lang" name="lang" type="hidden" value="<?php echo $lang?>">
    <input id="parceriaid" name="parceriaid" type="hidden" value="<?php echo $parCat->getParceriaid()?>">
    <input id="arqFrm" name="arqFrm" type="hidden" value="<?php echo end(explode("/", $_SERVER['PHP_SELF']))?>">
	<fieldset>
		<label>Categoria</label>
		<section><label for="pcpk">ID</label>
                    <div><input  readonly="true" type="text" id="pcpk" name="pcpk" value="<?php echo $parCat->getParcatid(); ?>" placeholder="Este campo é gerido de forma automática."></div>
		</section>
                <section>
                    <label for="cbCategoriaID">Categoria</label>
                    <div>					
                        <select name="cbCategoriaID" id="cbCategoriaID">
                            <optgroup label="Categoria">
                                <?php
                                   $parceriaCategoria = $controlParceria->pegarTodosParceriaCategoria();
                                   //Utilidades::formselectorOpcaoMarcada('0','Nenhum','null');
                                   while ($parceriaCategoria->fetch())
                                   {
                                            Utilidades::formselectorOpcaoMarcada($parceriaCategoria->getParceriacategoriaid(),$parceriaCategoria->gNome(),$parCat->getParceriacategoriaid());
                                   }
                                 ?>
                            </optgroup>
                        </select>
                    </div>
		</section>
                <section>
                    <div><button onclick="mostrarArquivoDados('<?php echo $arquivoGrid; ?>','#divCategoria','pk=<?php echo $parCat->getParceriaid();?>');" >Cancelar</button><button id="salvar" class="submit" name="submitbuttonname" value="submitbuttonvalue">Salvar</button></div>
		</section>
	</fieldset>
</form>
<?php
      //FormAjax::javascriptTrocarIdioma('adm_produtoCategoriaForm.php','#divCategoria', 'fnIdiomaDivFotos');
      FormAjax::PrepararFormAjax('#frmParCatLink');
?>